xoff1=0;
xoff2=0;
%xoff2=0.2e-3;
w=37.5e-6;
F1=0e-3;
F2=1.8e-3;
slm_size=1.6e-3;
N=256;
px=slm_size/N;



Nb2=N/2;
half=N/2*px;

arr=zeros(N);
x=repmat((1:N).*px,N,1);
y=x';
%% first "spot"
x1=x-xoff1-half;
y1=y+(F1-half);
xx1=x1.*x1;
yy1=y1.*y1;
%% second spot
x2=x-xoff2-half;
y2=y+(F2-half);
xx2=x2.*x2;
yy2=y2.*y2;

pic1=mod(sqrt(xx1+yy1),w)>w/2;
pic2=mod(sqrt(xx2+yy2),w)>w/2;
pic=xor(pic1,pic2);

amp1=exp(sqrt(-1).*2*pi*sqrt(xx1+yy1)/w);
amp2=exp(sqrt(-1).*2*pi*sqrt(xx2+yy2)/w);

%% generate the interference pattern
ampT3=amp1+amp2;
%subplot(2,2,1);
%imagesc(abs(ampT)),axis image,colormap gray
%title('abs(total)');
%subplot(2,2,2);
%imagesc(ampT.*conj(ampT)),axis image,colormap gray
%title('Intensity of total');
%subplot(2,2,3);
%imagesc(angle(ampT)),axis image,colormap gray
%title('Phase of total');
%subplot(2,2,4);
%imagesc(angle(ampT)>0),axis image,colormap gray
%title('Phase>0 (quantised phase) of total');

